[ubuntu/oneiric] rails 2.3.11-0.1 (Accepted)

Felix Geyer debfx at fobos.de
Thu Aug 11 10:36:55 UTC 2011


rails (2.3.11-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Imported Upstream version 2.3.11 (Closes: #616456)
    + Works with rubygems 1.6.x (Closes: #622829, #618221)
    + Fix XSS Risk in mail_to :encode=>:javascript [CVE-2011-0446]
    + Fix CSRF Bypass Risk: [CVE-2011-0447] (Closes: #614864)
    + I18N interpolation deprecation was removed in v2.3.6 (Closes: #546037)
  * Update dependencies on tmail (>= 1.2.7) and i18n (>= 0.4.1)
  * Adapt patches to the new release
  * Add Breaks: redmine (<< 1.1.3-1)
  * Add rubygems{1.8,1.9.1} dependency to all packages (Closes: #587767)

Date: Thu,  11 Aug 2011 00:26:34 +0000
Changed-By: Felix Geyer <debfx at fobos.de>
Maintainer: Adam Majer <adamm at zombino.com>
Origin: Debian/unstable
https://launchpad.net/ubuntu/oneiric/+source/rails/2.3.11-0.1
-------------- next part --------------
Origin: Debian/unstable
Format: 1.7
Date: Thu,  11 Aug 2011 00:26:34 +0000
Source: rails
Binary: rails, rails-ruby1.8, rails-doc, libactiverecord-ruby, libactiverecord-ruby1.8, libactiverecord-ruby1.9.1, libactivesupport-ruby, libactivesupport-ruby1.8, libactivesupport-ruby1.9.1, libactionpack-ruby, libactionpack-ruby1.8, libactionmailer-ruby, libactionmailer-ruby1.8, libactiveresource-ruby, libactiveresource-ruby1.8
Architecture: source
Version: 2.3.11-0.1
Distribution: oneiric
Urgency: medium
Maintainer: Adam Majer <adamm at zombino.com>
Changed-By: Felix Geyer <debfx at fobos.de>
Description:
 rails      - MVC ruby based framework geared for web application development
Closes: 546037 587767 614864 616456 618221 622829
Files:
 42e6ecd03d3ed6dcb802b5d87ed61da0 2043 ruby optional rails_2.3.11-0.1.dsc
 79bed7ebcd02868f98c5a99270d14992 3416081 ruby optional rails_2.3.11.orig.tar.gz
 c30454030243ba3249c90943b094d42f 17444 ruby optional rails_2.3.11-0.1.debian.tar.gz
Changes:
 rails (2.3.11-0.1) unstable; urgency=medium
 .
   * Non-maintainer upload.
   * Imported Upstream version 2.3.11 (Closes: #616456)
     + Works with rubygems 1.6.x (Closes: #622829, #618221)
     + Fix XSS Risk in mail_to :encode=>:javascript [CVE-2011-0446]
     + Fix CSRF Bypass Risk: [CVE-2011-0447] (Closes: #614864)
     + I18N interpolation deprecation was removed in v2.3.6 (Closes: #546037)
   * Update dependencies on tmail (>= 1.2.7) and i18n (>= 0.4.1)
   * Adapt patches to the new release
   * Add Breaks: redmine (<< 1.1.3-1)
   * Add rubygems{1.8,1.9.1} dependency to all packages (Closes: #587767)



More information about the Oneiric-changes mailing list